"""Add new non-mandatory project fields.

Revision ID: 592ed715cb7f
Revises: 272f89c13a48
Create Date: 2023-02-13 14:47:22.105560

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "592ed715cb7f"
down_revision = "272f89c13a48"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("project", sa.Column("background_skills", sa.String(), nullable=True))
    op.add_column("project", sa.Column("is_part_time", sa.Boolean(), nullable=True))
    op.add_column("project", sa.Column("is_lab_based", sa.Boolean(), nullable=True))
    op.alter_column("project", "proposer", existing_type=sa.VARCHAR(), nullable=False)
    op.alter_column("project", "title", existing_type=sa.VARCHAR(), nullable=False)
    op.alter_column(
        "project", "description", existing_type=sa.VARCHAR(), nullable=False
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column("project", "description", existing_type=sa.VARCHAR(), nullable=True)
    op.alter_column("project", "title", existing_type=sa.VARCHAR(), nullable=True)
    op.alter_column("project", "proposer", existing_type=sa.VARCHAR(), nullable=True)
    op.drop_column("project", "is_lab_based")
    op.drop_column("project", "is_part_time")
    op.drop_column("project", "background_skills")
    # ### end Alembic commands ###
